Skip to main content
`Ctrl`+`K`

# DMKSPSetComputeInitialGuess

set `KSP` initial guess evaluation function

## Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPSetComputeInitialGuess(DM dm, KSPComputeInitialGuessFn *func, PetscCtx ctx)

Not Collective

## Input Parameters

- dm - `DM` to be used with `KSP`

- func - initial guess evaluation function, for calling sequence see `KSPComputeInitialGuessFn`

- ctx - context for initial guess evaluation

## Note

`KSPSetComputeInitialGuess()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`.

## See Also

KSP: Linear System Solvers, `DMKSP`, `DM`, `KSP`, `DMKSPSetContext()`, `DMKSPGetComputeRHS()`, `KSPComputeInitialGuessFn`

## Level

developer

## Location

src/ksp/ksp/interface/dmksp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages